\section{Formalisms}
\label{sec:formal}
In this section, we give formal definitions for the machinery used in our hybrid system of automata. The 
definitions given in Sections~\ref{sec:tafsa} and \ref{sec:tba} are not new \cite{tba}. However, it is still important
that we state their definitions here, as they are used later on, in Section~\ref{sec:pts}.

\input{tafsa}
\input{tba}
\input{tpba}

\endinput
